aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mate-polkit/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/mate-polkit/APKBUILD')
-rw-r--r--testing/mate-polkit/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/mate-polkit/APKBUILD b/testing/mate-polkit/APKBUILD
new file mode 100644
index 0000000000..71b39425db
--- /dev/null
+++ b/testing/mate-polkit/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=mate-polkit
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="MATE Authentication Agent for PolicyKit"
+url="https://github.com/mate-desktop/mate-polkit"
+arch="all"
+license="GPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="$depends_dev polkit-dev libtool intltool gtk+-dev
+ gobject-introspection-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+ find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="f8c69fdd1476760c15b5a2f3fe249fdc mate-polkit-1.9.0.tar.xz"
+sha256sums="1df99e35bb5a7479a02fb6301b005fce941f8c7442dfd5c3371172204b75d8ef mate-polkit-1.9.0.tar.xz"
+sha512sums="45e177a243c73af7c583c3fa3f652e9f86b458eb714e591306c4a74e09aa406aae25d9a8b55e08867478c8dea52161e6378135e8a403cb84f842665eb7f059ed mate-polkit-1.9.0.tar.xz"